import { systemConfig } from "../config/serverConfig";
//导入sequelize模块
const Sequelize = require('sequelize');

var mysqlDB;
export async function initMysqlDB() {
    mysqlDB = new Sequelize(systemConfig.mysqldb.dataBase,systemConfig.mysqldb.user,systemConfig.mysqldb.pwd,{
        host:systemConfig.mysqldb.host,
        port:systemConfig.mysqldb.port,
        dialect:'mysql',   //数据库类型
        pool:{  //数据库连接池
            max:20,  //最大连接对象的个数
            min:5,  //最小连接对象的个数
            idle:1000  //最长等待时间，单位为毫秒
        },
        timezone: '+08:00', //东八时区
        dialectOptions: {
            dateStrings: true,
            typeCast: true
        },
    }); 
}

export { mysqlDB };